curl --request GET \
--url 'https://api.stateset.com/api/v1/activity-logs' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"entries": [
{
"action": "string",
"actor": "string",
"actor_kind": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": {},
"subject_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject_type": "string",
"summary": "Two-person tent, green — replacement for damaged pole set."
}
],
"total": 102
}
List activity logs
List activity logs
GET
/
api
/
v1
/
activity-logs
curl --request GET \
--url 'https://api.stateset.com/api/v1/activity-logs' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"entries": [
{
"action": "string",
"actor": "string",
"actor_kind": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": {},
"subject_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject_type": "string",
"summary": "Two-person tent, green — replacement for damaged pole set."
}
],
"total": 102
}
Query parameters
string
string
string
integer (int32)
integer (int32)
Response
ActivityLogListResponse
ActivityLogResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/activity-logs' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"entries": [
{
"action": "string",
"actor": "string",
"actor_kind": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": {},
"subject_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject_type": "string",
"summary": "Two-person tent, green — replacement for damaged pole set."
}
],
"total": 102
}
Last modified on August 31, 2026